Support » Fixing WordPress » Error: Cannot modify header information…plugin conflict?

  • I just installed a new version of WP after moving databases and while that install was just fine, now there seems to be an issue with pluggable.php but not where I expected. This is the error I get when I try to activate or delete a plugin:

    Warning: Cannot modify header information – headers already sent by (output started at /home/yoursite/public_html/wp-content/plugins/share-and-follow/share-widget.php:389) in /home/yoursite/public_html/wp-includes/pluggable.php on line 934

    So what’s at 934? This:
    header("Location: $location", true, $status);

    So how can I correct this beyond just killing the Share and Follow plugin?

Viewing 5 replies - 1 through 5 (of 5 total)
  • esmi

    (@esmi)

    Forum Moderator

    I already went there. Not the right answer at all.

    I have the same error:

    Warning: Cannot modify header information – headers already sent by (output started at /home/xxxxxx/public_html/wp-content/plugins/share-and-follow/share-widget.php:389) in /home/xxxxxx/public_html/wp-includes/pluggable.php on line 687

    It’s getting weird because I have the same website hosted on my local server and it’s working fine…

    Any suggestions, please ?
    Thanks.

    Here is what I did to solve it…
    After installing and enabling the plugin I got the errors when I tried to logout from admin section.
    I connected through FTP and I overwrite the following files with the ones in the original archive:
    share-and-follow.php
    follow-widget.php
    saf-functions.php
    share-widget.php

    The error was gone and everything’s working fine.
    I still don’t know what exactly changed but if I have time I’ll investigate.
    I hope it helps.
    Cheers.

    very strange as the share widget is someway down the list of things that gets sent to the browser. Also it does not do anything to send stuff to the client before the loop or wp_head. I would say it was some sort of conflict but I cannot tell you what.

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘Error: Cannot modify header information…plugin conflict?’ is closed to new replies.